{#
   Author: Jordan Protin <jordan.protin@yahoo.com>
   Date:   26.04.2020
#}

<!DOCTYPE html>
<html lang="{{ app.request.locale }}">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1"/>
        <meta name="description" content="{% block description %}{% endblock %}">
        <title>{% block title %}DNC | Test technique{% endblock %}</title>

        {% block stylesheets %}
            {{ encore_entry_link_tags('app') }}
        {% endblock %}

        <link rel="icon" type="image/x-icon" href="{{ asset('favicon.ico') }}" />
    </head>

    <body id="{% block body_id %}{% endblock %}">
        {% block header %}
            <header>
                {{ include('shared/header.html.twig') }}
            </header>
        {% endblock %}

        <div class="container body-container">
            {% block body %}
                <div class="row">
                    <div id="main" class="col-sm-9">
                        {{ include('shared/_flash_messages.html.twig') }}

                        {% block main %}{% endblock %}
                    </div>
                </div>
            {% endblock %}
        </div>

        {% block footer %}
            <footer>
                {{ include('shared/footer.html.twig') }}
            </footer>
        {% endblock %}

        {% block javascripts %}
            {{ encore_entry_script_tags('app') }}
        {% endblock %}
    </body>
</html>